Subject: Re: bug#40097: 28.0.50; Preferred font ignored for specific charset
From: Robert Pluim <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 19 Mar 2020 09:26:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

>>>>> On Thu, 19 Mar 2020 05:25:39 +0200, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: [email-masked],  [email-masked]
    >> Date: Wed, 18 Mar 2020 21:47:19 +0100
    >> 
    >> >> So correcting the name of the registry in ftfont.c fixes this.
    >> 
    Eli> You mean, fixing that makes DejaVu Sans Mono be used in this case?
    >> 
    >> Yes.
    >> 
    Eli> That's great, let's fix this in emacs-27 then.
    >> 
    >> If you want me to be conservative, I could *add* a microsoft-cp1251
    >> entry instead of replacing windows-1251, but as far as I know
    >> windows-1251 is not a valid registry name.

    Eli> I see no need to add it, this registry value cannot be used much, or
    Eli> we'd have many bug reports about this problem long ago.  Let's just
    Eli> replace the incorrect value with the correct one.

Done for emacs-27 in bed04c502c

Closing.

Robert